<%@ page language="java" contentType="text/html; charset=EUC-KR"
    pageEncoding="EUC-KR"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
   
<!DOCTYPE html>
<html>
<head>
<meta charset="EUC-KR">
<title>Form</title>
</head>
<body>

<c:choose>
<c:when test="${param.mode eq 'BMI'}">
<c:set var="formName" value="AddPersonBMI" />
<c:set var="formAction" value="AddPersonBMIAction.do" />
</c:when>
</c:choose>

<c:out value="${formName}" />

<nav class="navbar navbar-expand navbar-dark bg-dark">
<div class="container">
	<form name=${formName} action=${formAction} method="post">
		<label style="color:white">Name</label> : <input type="text" name="name" value="Park" size="10"><br />
		<label style="color:white">Age</label> : <input type="text" name="age" value="25" size="10"><br />
		<label style="color:white">Gender</label> : 
			<input type="radio" id="MALE" name="gender" value="MALE" checked="checked">Male
			<input type="radio" id="FEMALE" name="gender" value="FEMALE">Female<br />
		<label style="color:white">Height(cm)</label> : <input type="text" name="height" value="180" size="10"><br />
		<label style="color:white">Weight(kg)</label> : <input type="text" name="weight" value="70" size="10"><br />
		<label style="color:white">Neck(cm)</label> : <input type="text" name="neck" value="40" size="10"><br />
		<label style="color:white">Waist(cm)</label> : <input type="text" name="waist" value="80" size="10"><br />
		<label style="color:white">Hip(cm)</label> : <input type="text" name="hip" value="90" size="10"><br />
		<label style="color:white">Activity</label> : 
			<select name="activity" id="activity">
				<option value="LOW">Low</option>
				<option value="MEDIUM">Medium</option>
				<option value="HIGH">High</option>
			</select>
			<br />
		<input type="submit" value="Submit">
		<input type="reset" value="Reset" />
	</form>
</div>
</nav>

</body>
</html>